Problem with upgrading docker


(Karol Radziejewski) #1

I have upgraded ubuntu to 14.04 but docker is not starting discourse container, when I’m trying to start it manually i get this:

My docker is updated but I still get message that it’s not, could anyone help please?


(Sam Saffron) #2
cd /var/docker
git pull

(Karol Radziejewski) #3

Thanks for your help, looks like it works now.


(Jeff Atwood) #4

Also to upgrade Docker itself on Ubuntu:

apt-get update
apt-get dist-upgrade
apt-get upgrade lxc-docker

(Nitai ) #5

I just upgraded 14.04 LTS today and it does install an older version again.

So you will need to do a:

cd /var/docker
git pull

and a

./launcher rebuild app

after the update.

Was kinda scary because the whole system was down for like 10 minutes and it looked at first that it will do a full re-install.